restinio::http_field_parsers::raw_host_value_t::reg_name_t Struct Reference

`#include <host.hpp>`

## Public Member Functions

| reg_name_t ()=default
| reg_name_t (std::string val) noexcept

## Static Public Member Functions

static RESTINIO_NODISCARD reg_name_t | from_string (std::string v) noexcept

## Public Attributes

std::string | v

## Friends

bool | operator== (const reg_name_t &a, const reg_name_t &b) noexcept
bool | operator!= (const reg_name_t &a, const reg_name_t &b) noexcept
bool | operator< (const reg_name_t &a, const reg_name_t &b) noexcept

## Detailed Description

Definition at line 389 of file host.hpp.

## Constructor & Destructor Documentation

## reg_name_t() [1/2]

restinio::http_field_parsers::raw_host_value_t::reg_name_t::reg_name_t | ( |  | ) |

default

## reg_name_t() [2/2]

restinio::http_field_parsers::raw_host_value_t::reg_name_t::reg_name_t | ( | std::string | val | ) |

inlineexplicitnoexcept

Definition at line 394 of file host.hpp.

## Member Function Documentation

## from_string()

static RESTINIO_NODISCARD reg_name_t restinio::http_field_parsers::raw_host_value_t::reg_name_t::from_string | ( | std::string | v | ) |

inlinestaticnoexcept

Definition at line 416 of file host.hpp.

## Friends And Related Function Documentation

## operator!=

bool operator!= | ( | const reg_name_t & | a,
|  | const reg_name_t & | b
| ) |  |

friend

Definition at line 403 of file host.hpp.

## operator<

bool operator< | ( | const reg_name_t & | a,
|  | const reg_name_t & | b
| ) |  |

friend

Definition at line 408 of file host.hpp.

## operator==

bool operator== | ( | const reg_name_t & | a,
|  | const reg_name_t & | b
| ) |  |

friend

Definition at line 397 of file host.hpp.

## Member Data Documentation

## v

std::string restinio::http_field_parsers::raw_host_value_t::reg_name_t::v

Definition at line 391 of file host.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/host.hpp